## com.lowagie.text.pdf
Class ColorDetails

    java.lang.Object
      com.lowagie.text.pdf.ColorDetails

     class ColorDetails

extends java.lang.Object

Each spotcolor in the document will have an instance of this class

Author:
  Phillip Pan (phillip@formstar.com)

Field Summary
`(package private) PdfName` `colorName` The color name that appears in the document body stream
`(package private) PdfIndirectReference` `indirectReference` The indirect reference to this color
`(package private) PdfSpotColor` `spotcolor` The color

Constructor Summary
`ColorDetails(PdfName colorName, PdfIndirectReference indirectReference, PdfSpotColor scolor)` Each spot color used in a document has an instance of this class.

Method Summary
`(package private) PdfName` `getColorName()` Gets the color name as it appears in the document body.
`(package private) PdfIndirectReference` `getIndirectReference()` Gets the indirect reference to this color.
`(package private) PdfObject` `getSpotColor(PdfWriter writer)` Gets the `SpotColor` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### indirectReference

    PdfIndirectReference indirectReference

  The indirect reference to this color

### colorName

    PdfName colorName

  The color name that appears in the document body stream

### spotcolor

    PdfSpotColor spotcolor

  The color

Constructor Detail

### ColorDetails

    ColorDetails(PdfName colorName,
                 PdfIndirectReference indirectReference,
                 PdfSpotColor scolor)

  Each spot color used in a document has an instance of this class.

  Parameters:
    `colorName` - the color name
    `indirectReference` - the indirect reference to the font
    `scolor` - the `PDfSpotColor`

Method Detail

### getIndirectReference

    PdfIndirectReference getIndirectReference()

  Gets the indirect reference to this color.

  Returns:
    the indirect reference to this color

### getColorName

    PdfName getColorName()

  Gets the color name as it appears in the document body.

  Returns:
    the color name

### getSpotColor

    PdfObject getSpotColor(PdfWriter writer)

  Gets the `SpotColor` object.

  Returns:
    the `PdfSpotColor`

Hosted by Hostbasket